# Magnolia Light Development CLI tool

[![license](https://img.shields.io/badge/license-GPL%203.0-blue.svg)](https://www.gnu.org/licenses/gpl.html)
[![Build Status](https://jenkins.magnolia-cms.com/job/build_npm-cli/badge/icon)](https://jenkins.magnolia-cms.com/job/build_npm-cli/)

An npm package providing a CLI tool to setup and facilitate [light development with Magnolia](https://documentation.magnolia-cms.com/display/DOCS/Light+development+in+Magnolia). For a complete reference including installation and usage please visit [Magnolia CLI documentation](https://documentation.magnolia-cms.com/display/DOCS/Magnolia+CLI).

### Magnolia CLI 3.0.0 is available

#### Major changes

(For a full list of changes please see the [release history](https://documentation.magnolia-cms.com/display/DOCS/Magnolia+CLI#MagnoliaCLI-Releasehistory)).

##### Version 3.0.0

- A new prototype structure has been introduced, see [Prototypes in CLI v3](https://documentation.magnolia-cms.com/display/DOCS/Prototypes+in+CLI+v3) and also [Updating CLI to v3](https://documentation.magnolia-cms.com/display/DOCS/Updating+CLI+to+v3) for migration of prototypes from CLI v2 to CLI v3.
- The `jumpstart` command has been significantly improved. It now provides a list of available webapps you can choose from.
- Two new commands have been added:
 - `create-block` - creates a block definition
 - `create-virtual-uri` - creates a virtual uri mapping definition

##### Version 2.2.0

- A new option `-c` (`--cloud`) has been added to the `jumpstart` command. The
`mgnl jumpstart --cloud` will download and setup a Magnolia Cloud Enterprise bundle. It requires credentials to access Magnolia Nexus.

##### Version 2.1.0

- Two new commands have been added:
 - `search` - to discover light modules on the npm site
 - `install` - to easily install a light module from the registry into your light modules folder

##### version 2.0

- The `setup` command has been replaced with `customize-local-config` (or its alias `customise-local-config`, yes with an **s** instead of **z**) because we thought it was a better name :).
